# Class PrinterMoreInfoManufacturer

java.lang.Object
javax.print.attribute.URISyntax
javax.print.attribute.standard.PrinterMoreInfoManufacturer

All Implemented Interfaces:
  `Serializable, Cloneable, Attribute, PrintServiceAttribute`

public final class PrinterMoreInfoManufacturer extends URISyntax implements PrintServiceAttribute
Class `PrinterMoreInfoManufacturer` is a printing attribute class, a `URI`, that is used to obtain more information about this type of device. The information obtained from this `URI` is intended for end user consumption. Features outside the scope of the Print Service API can be accessed from this `URI` (e.g., latest firmware, upgrades, service proxies, optional features available, details on color support). The information is intended to be germane to this kind of printer without regard to site specific modifications or services.

In contrast, the `PrinterMoreInfo` attribute is used to find out more information about this specific printer rather than this general kind of printer.

IPP Compatibility: The string form returned by `toString()` gives the IPP uri value. The category name returned by `getName()` gives the IPP attribute name.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PrinterMoreInfoManufacturer(URI uri)`
  Constructs a new printer more info manufacturer attribute with the specified `URI`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object object)`
  Returns whether this printer more info manufacturer attribute is equivalent to the passed in object.
  `final Class<? extends Attribute>`
  `getCategory()`
  Get the printing attribute class which is to be used as the "category" for this printing attribute value.
  `final String`
  `getName()`
  Get the name of the category of which this attribute value is an instance.

  ### Methods declared in class URISyntax

  `getURI, hashCode, toString`
  Modifier and Type
  Method
  Description
  `URI`
  `getURI()`
  Returns this `URI` attribute's `URI` value.
  `int`
  `hashCode()`
  Returns a hashcode for this `URI` attribute.
  `String`
  `toString()`
  Returns a `String` identifying this `URI` attribute.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### PrinterMoreInfoManufacturer

    public PrinterMoreInfoManufacturer(URI uri)
    Constructs a new printer more info manufacturer attribute with the specified `URI`.
    Parameters:
      `uri` - `URI`
    Throws:
      `NullPointerException` - if `uri` is `null`

- ## Method Details

  - ### equals

    public boolean equals(Object object)
    Returns whether this printer more info manufacturer attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:
    1. `object` is not `null`.
    2. `object` is an instance of class `PrinterMoreInfoManufacturer`.
    3. This printer more info manufacturer attribute's `URI` and `object`'s `URI` are equal.
    Overrides:
      `equals` in class `URISyntax`
    Parameters:
      `object` - `Object` to compare to
    Returns:
      `true` if `object` is equivalent to this printer more info manufacturer attribute, `false` otherwise
    See Also:
      - `Object.hashCode()`
      - `HashMap`

  - ### getCategory

    public final Class<? extends Attribute> getCategory()
    Get the printing attribute class which is to be used as the "category" for this printing attribute value.

    For class `PrinterMoreInfoManufacturer`, the category is class `PrinterMoreInfoManufacturer` itself.

    Specified by:
      `getCategory` in interface `Attribute`
    Returns:
      printing attribute class (category), an instance of class `java.lang.Class`

  - ### getName

    public final String getName()
    Get the name of the category of which this attribute value is an instance.

    For class `PrinterMoreInfoManufacturer`, the category name is `"printer-more-info-manufacturer"`.

    Specified by:
      `getName` in interface `Attribute`
    Returns:
      attribute category name